#
# DEPRECATED
# This node type is deprecated since 1.13, will be marked abstract by default starting with 1.14
# and removed with 1.15.
#
'Newland.Toubiz.Poi.Neos:TeaserList':
  abstract: true

  superTypes:
    'Newland.NeosCommon:Plugin': true

  ui:
    group: 'poi'
    label: i18n
    icon: map-marker
    inspector:
      groups:
        filter:
          label: i18n
          icon: filter
        preparation:
          label: i18n
          icon: wrench
        display:
          label: i18n
          icon: brush

  properties:
    articleType:
      type: string
      defaultValue: 0
    displayStyle:
      type: string
      defaultValue: 'swiper'
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: display
          editor: 'Neos.Neos/Inspector/Editors/SelectBoxEditor'
          editorOptions:
            values:
              swiper:
                label: i18n
                value: 'swiper'
              list:
                label: i18n
                value: 'list'

    recordLimit:
      type: integer
      defaultValue: 4
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: preparation

    # This is superseded by the regions property. we leave it - not editable, for legacy plugin instances.
    cities:
      type: array
      defaultValue: []

    regions:
      type: array
      defaultValue: []
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: true
            dataSourceIdentifier: 'newland-toubiz-poi-neos-regions'
    preselectedProperties:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-attributes

    preselectedTags:
      type: array
      ui:
        label: Newland.Toubiz.Poi.Neos:NodeTypes.List:properties.preselectedTags
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-tag-attributes


'Newland.Toubiz.Poi.Neos:TeaserListAttraction':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'poi'
  properties:
    articleType:
      type: string
      defaultValue: 0

'Newland.Toubiz.Poi.Neos:TeaserListGastronomy':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'gastronomy'
  properties:
    articleType:
      type: string
      defaultValue: 1

'Newland.Toubiz.Poi.Neos:TeaserListTour':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'tour'
  properties:
    articleType:
      type: string
      defaultValue: 2

'Newland.Toubiz.Poi.Neos:TeaserListLodging':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'lodging'
  properties:
    articleType:
      type: string
      defaultValue: 3

'Newland.Toubiz.Poi.Neos:TeaserListDirectMarketer':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'directMarketer'
  properties:
    articleType:
      type: string
      defaultValue: 4

'Newland.Toubiz.Poi.Neos:TeaserListCity':
  superTypes:
    'Newland.Toubiz.Poi.Neos:TeaserList': true
  ui:
    group: 'city'
  properties:
    articleType:
      type: string
      defaultValue: 6

    topicFilter: []
    cities: []
    regions: []


